unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, Db, HTMLFlds,
  DBWeb, DBTables, HTMLBase;

type
  TWebModule1 = class(TWebModule)
    DataSetTableProducer1: TDataSetTableProducer;
    HTMLProducer1: THTMLProducer;
    Query1: TQuery;
    Table1: TTable;
    Table1HEdit: THTMLEditField;
    Table1HCheck: THTMLCheckBoxField;
    Table1HR: THTMLRadioField;
    Table1HMemo: THTMLMemoField;
    Table1HText: THTMLTextField;
    Table1HImg: THTMLImageField;
    Table1EventNo: TAutoIncField;
    Table1VenueNo: TIntegerField;
    Table1Event_Name: TStringField;
    Table1Event_Date: TDateField;
    Table1Event_Time: TTimeField;
    Table1Event_Description: TMemoField;
    Table1Ticket_price: TCurrencyField;
    Table1Event_Photo: TGraphicField;
    procedure WebModule1WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure Table1HCheckGetHTMLChecked(HTMLName, HTMLValue: String;
      var vchecked: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation
{$R *.DFM}

procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
var i:integer;
    n:string;
    values:TStrings;
begin
  values:=Request.ContentFields;
  //if button Apply (see HTML)
  if Request.ContentFields.Values['Action']='Apply' then
  //update fields edit and memo
  //the rest are just reinitialized as they are requested
    for i:=0 to values.Count-1 do
    begin
      //take the row from one field
      if pos('HEdit:',values.Names[i])<>1
         then continue;
      n:=copy(values.Names[i],7,MAXINT);
      Query1.ParamByName('EventNo').AsInteger:=StrToInt(n);
      Query1.ParamByName('Event_Name').AsString:=
        values.Values['HEdit:'+n];
      Query1.ParamByName('Event_Description').AsMemo:=
        values.Values['HMemo:'+n];
      Query1.ExecSQL;
    end;
  Table1.open;
  Response.Content:=HTMLProducer1.Content;
  Table1.close;
end;

procedure TWebModule1.Table1HCheckGetHTMLChecked(HTMLName, HTMLValue: String;
  var vchecked: Boolean);
begin
  vchecked:=HTMLValue=Request.ContentFields.Values[HTMLName];
end;

end.
